﻿@using MyBankApp.Core.ViewModels
@model CurrencyViewModel

@{
    var count = 1;
}

<table class="table">
    <thead class="thead-dark">
        <tr>
            <th scope="col">#</th>
            <th scope="col">Currency</th>
            <th scope="col">Price</th>
            <th scope="col">USD</th>
            <th></th>
        </tr>
    </thead>
    <tbody>
        @foreach (var curr in @Model.Rates)
        {
            <tr>
                <th scope="row">@(count++)</th>
                <td>@curr.Name</td>
                <td>@curr.Percent</td>
                <td>1</td>
                <td>
                    <a type="button" class="btn btn-success" 
                    asp-controller="Purchase" 
                    asp-action="SelectAccount"
                    asp-route-Name="@curr.Name"
                    asp-route-Price="@curr.Percent">Buy</a>
                </td>
            </tr>
        }
    </tbody>
</table>